Bug 987678 - 403 when trying to create calendar events from Evolution (CalDAV client) with OC 5.0
403 when trying to create calendar events from Evolution (CalDAV client) with...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: owncloud (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gregor Tätzner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 17:02 EDT by Adam Williamson
Modified: 2015-08-11 09:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-21 17:52:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2013-07-23 17:02:30 EDT
I experienced this and filed it upstream when I was using a self-installed Owncloud, but it also seems to affect the packaged one. As it may be somehow specific to a Fedora server environment, I figured it'd be a good idea to file downstream as well.

Upstream report:

https://github.com/owncloud/calendar/issues/38

The problem's pretty simple: basically, with OC 5.x, I cannot create calendar events from a CalDAV client. My main test client is my desktop running Fedora (was 19 at first, now Rawhide), but I've confirmed this with Evo on an F18 laptop and also with my cellphone using caldav-sync.

If I use owncloud-4.5.13-1.fc19.noarch on the server, then my client can happily create events in the Owncloud calendar. No error messages pop up, and I can confirm from the Owncloud web interface that the event was added.

If I update to owncloud-5.0.9-2 - I did an F19 scratch build from the Rawhide spec, see http://koji.fedoraproject.org/koji/taskinfo?taskID=5647365 - without changing anything else either on the server or client end, the client suddenly cannot create calendar events: Evo throws some generic error message, and from the Apache logs I can see that the server returns a 403 to the PUT request.

I really have no idea why, and upstream seems a bit stumped too. But it's a very clear and reproducible problem at least for me.

4.5.12, successful creation and delete of calendar item:

192.168.1.5 - adamw [23/Jul/2013:10:40:40 -0700] "PUT /owncloud/remote.php/caldav/calendars/adamw/default/20130723T174037Z-1634-1001-1238-26_adam.localdomain-20
130723T174040Z.ics HTTP/1.1" 201 -
...
192.168.1.5 - adamw [23/Jul/2013:10:40:53 -0700] "DELETE /owncloud/remote.php/caldav/calendars/adamw/default/20130723T174037Z-1634-1001-1238-26_adam.localdomain-20130723T174040Z.ics HTTP/1.1" 204 -

5.0.9, rejected attempt to create calendar item:

192.168.1.5 - adamw [23/Jul/2013:10:50:37 -0700] "PUT /owncloud/remote.php/caldav/calendars/adamw/default/20130723T175035Z-1634-1001-1238-39_adam.localdomain-20130723T175037Z.ics HTTP/1.1" 403 399
Comment 1 Adam Williamson 2013-08-21 16:54:00 EDT
I suspect that this may well be caused by https://bugzilla.redhat.com/show_bug.cgi?id=999685 .
Comment 2 Adam Williamson 2013-08-21 18:26:53 EDT
well, maybe not - now I look at the OC spec, it's temporarily bundling sabredav while the packages maybe get updated (urgh).

but it's possible this was being caused by an issue that was causing me other OC problems which I finally traced down and fixed today. Now I have a perfectly-working OC I'm not SUPER keen on bumping it to 5.0 and possibly breaking things again, but I'll do it at some point, so setting this to NEEDINFO me.
Comment 3 Fedora End Of Life 2013-09-16 10:44:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 4 Adam Williamson 2013-12-21 17:52:42 EST
This turned out to be a wacky database bug on the server, IIRC.

Note You need to log in before you can comment on or make changes to this bug.